problema-eroare dupa upgrade forum 3.0.9->3.0.10

Rezolvări la problemele apărute la instalarea, actualizarea sau conversia forumului phpBB 3.0.x.
Reguli forum
Aveti o problema si vreti sa primiti ajutor? Click aici ! Nu uitati si de regulamentul forumului !
Avatar utilizator
Old Larry
Membru
Membru
Mesaje: 120
Membru din: 27-Noi-2011, 12:51:54
Versiune: 3.1.5
MOD: Nu
Server: UNIX/Linux
Nivel phpBB: Mediu
Nivel php: Puţin experimentat
Localitate: Bucuresti
Contact:

Re: problema-eroare dupa upgrade forum 3.0.9->3.0.10

Mesaj de Old Larry » 07-Ian-2012, 14:19:39

Ivan Petre Paul scrie:Dacă nu ai MODificări instalate, suprascrie fişierul memberlist.php de pe serverul propriu cu cel din arhiva originală şi vezi ce schimbări apar.
Exact asa am facut si functioneaza ok.
Ulterior am intrat si aici sa va dau vestea, dar deja tu postasei solutia :)
Daca doi oameni gàndesc la fel, inseamna ca mai este o speranta pt. mai bine, nu ? 8)

Avatar utilizator
Old Larry
Membru
Membru
Mesaje: 120
Membru din: 27-Noi-2011, 12:51:54
Versiune: 3.1.5
MOD: Nu
Server: UNIX/Linux
Nivel phpBB: Mediu
Nivel php: Puţin experimentat
Localitate: Bucuresti
Contact:

Re: problema-eroare dupa upgrade forum 3.0.9->3.0.10

Mesaj de Old Larry » 16-Ian-2012, 18:08:08

Am mai constatat o eroare dupa acest upgrade:
Desi in panoul de administrare forum setez banare IP-urile/userii cu spam,
nu functioneaza
nici bann IP
nici bann e-mail
Oare doar reeditarea filei .htaccess sa fie singura solutie ?

Avatar utilizator
Ivan Petre Paul
Moderator
Moderator
Mesaje: 4046
Membru din: 26-Aug-2009, 01:13:39
Versiune: 3.1.10
MOD: Da
Server: UNIX/Linux
Nivel phpBB: Experimentat
Nivel php: Puţin experimentat
Localitate: Brașov
Contact:

Re: problema-eroare dupa upgrade forum 3.0.9->3.0.10

Mesaj de Ivan Petre Paul » 16-Ian-2012, 20:29:09

Old Larry scrie:Am mai constatat o eroare dupa acest upgrade:
Desi in panoul de administrare forum setez banare IP-urile/userii cu spam,
nu functioneaza
nici bann IP
nici bann e-mail
Să înţeleg că nu poţi bana utilizatori din PA?
Cum mai exact "nu funcţionează"?
phpBB România will rise again. Soon.. Stay close! @phpbb.ro

Avatar utilizator
Old Larry
Membru
Membru
Mesaje: 120
Membru din: 27-Noi-2011, 12:51:54
Versiune: 3.1.5
MOD: Nu
Server: UNIX/Linux
Nivel phpBB: Mediu
Nivel php: Puţin experimentat
Localitate: Bucuresti
Contact:

Re: problema-eroare dupa upgrade forum 3.0.9->3.0.10

Mesaj de Old Larry » 17-Ian-2012, 17:32:43

In sensul ca-i pot bana, dar ei revin totusi si unii chiar cu aceleasi IP-uri. :o

Iar acum mai nou, cànd deschid panoul de administrare, imi apar doua mesaje in rosu:

1 - Caracterul de conversie intrare HTTP este configurat necorespunzător
mbstring.http_input trebuie să fie setată ca pass. Puteţ›i verifica valoarea curentă în secţ›iunea PHP information.

2 - Caracterul de conversie ieşire HTTP este configurat necorespunzător
mbstring.http_output trebuie să fie setată ca pass. Puteţ›i verifica valoarea curentă în secţ›iunea PHP information.

Deci pot DOAR sa verific, nu si sa corectez acele valori :?: :?: :?:

Avatar utilizator
Old Larry
Membru
Membru
Mesaje: 120
Membru din: 27-Noi-2011, 12:51:54
Versiune: 3.1.5
MOD: Nu
Server: UNIX/Linux
Nivel phpBB: Mediu
Nivel php: Puţin experimentat
Localitate: Bucuresti
Contact:

Re: problema-eroare dupa upgrade forum 3.0.9->3.0.10

Mesaj de Old Larry » 17-Ian-2012, 17:53:21

Si inca o problema (am inteles din acest forum ca ar fi mai veche).
De o saptamàna am mutat site-ul cu forum cu tot pe un nou server (al aceluiasi hosting provider), dar care are intalat
PHP Version 5.2.17 (cel vechi avea PHP 4 si ceva parcã).
Diacriticele nu sunt interpretate corect, deci mi-a bulversat toate posturile si nu trebuie sa dau detalii pt. cã stiti la ce ma refer.
Am inteles ca o traducere in romànã fãrã diacritice nu ar fi o problemã urgentã pt. dumneavoastrã,
dar nu uitati cã tot mai multe forumuri romànesti sunt mutate pe servere cu PHP Version 5.2.17 ;) :idea:

Avatar utilizator
Ivan Petre Paul
Moderator
Moderator
Mesaje: 4046
Membru din: 26-Aug-2009, 01:13:39
Versiune: 3.1.10
MOD: Da
Server: UNIX/Linux
Nivel phpBB: Experimentat
Nivel php: Puţin experimentat
Localitate: Brașov
Contact:

Re: problema-eroare dupa upgrade forum 3.0.9->3.0.10

Mesaj de Ivan Petre Paul » 17-Ian-2012, 18:26:18

Old Larry scrie:Deci pot DOAR sa verific, nu si sa corectez acele valori :?: :?: :?:
Problema nu poate fi corectată din PA oferit de phpBB. Poţi lua legătura cu providerul de hosting şi va rezolva el această problemă.
Referitor la problema cu interzicerea utilizatorilor, ce metodă de interzicere foloseşti? Să înţeleg că cea cu banare IP?
Old Larry scrie:Si inca o problema (am inteles din acest forum ca ar fi mai veche).
De o saptamàna am mutat site-ul cu forum cu tot pe un nou server (al aceluiasi hosting provider), dar care are intalat
PHP Version 5.2.17 (cel vechi avea PHP 4 si ceva parcã).
Diacriticele nu sunt interpretate corect, deci mi-a bulversat toate posturile si nu trebuie sa dau detalii pt. cã stiti la ce ma refer.
Am inteles ca o traducere in romànã fãrã diacritice nu ar fi o problemã urgentã pt. dumneavoastrã,
dar nu uitati cã tot mai multe forumuri romànesti sunt mutate pe servere cu PHP Version 5.2.17 ;) :idea:
În acest moment lucrăm la o versiune a traducerii fără diacritice, iar aceasta va fi publicată în curând în secţiunea Download.
Până atunci, suprascrie fişierele de limbă cu cele noi şi vezi cum se comportă: downloads.php?view=detail&df_id=2
phpBB România will rise again. Soon.. Stay close! @phpbb.ro

Avatar utilizator
Old Larry
Membru
Membru
Mesaje: 120
Membru din: 27-Noi-2011, 12:51:54
Versiune: 3.1.5
MOD: Nu
Server: UNIX/Linux
Nivel phpBB: Mediu
Nivel php: Puţin experimentat
Localitate: Bucuresti
Contact:

Re: problema-eroare dupa upgrade forum 3.0.9->3.0.10

Mesaj de Old Larry » 17-Ian-2012, 18:32:51

Pentru banare IP am utilizat oferta celor de la
http://www.countryipblocks.net/country- ... t-formats/
Cei mai multi spammeri imi apar din Ru, Ch si Ua, deci am folosit codurile celor de la country ip block pt.
.htaccess deny Format
Nu prea am inteles daca se pun unul dupa altul in fila htaccess (eu asa le-am pus), dar vãd cã functioneazã :D

P.S. In privinta traduceri romànesti fãrã diacritice abia astept sã o pot downloada de la dumneavoastrã :idea:

Avatar utilizator
Old Larry
Membru
Membru
Mesaje: 120
Membru din: 27-Noi-2011, 12:51:54
Versiune: 3.1.5
MOD: Nu
Server: UNIX/Linux
Nivel phpBB: Mediu
Nivel php: Puţin experimentat
Localitate: Bucuresti
Contact:

Re: problema-eroare dupa upgrade forum 3.0.9->3.0.10

Mesaj de Old Larry » 17-Ian-2012, 18:56:30

Revin aici cu fila mea htaccess, poate imi spuneti dacã am editat-o corect:

Cod: Selectaţi tot

#
# Uncomment the statement below if you want to make use of
# HTTP authentication and it does not already work.
# This could be required if you are for example using PHP via Apache CGI.
#
#<IfModule mod_rewrite.c>
#RewriteEngine on
#RewriteRule .* - [E=HTTP_AUTHORIZATION:%{HTTP:Authorization},L]
#</IfModule>

<Files "config.php">
Order Allow,Deny
Deny from All
</Files>

<Files "common.php">
Order Allow,Deny
Deny from All
</Files>

<Limit GET POST>
order allow,deny
# Country: CHINA
# ISO Code: CN
# Total Networks: 3,473
# Total Subnets:  330,312,704
deny from 1.0.1.0/24
deny from 1.0.2.0/23
[b]Mesajul dumneavostră conţine 88414 caractere. Numărul maxim de caractere permis este de 60000.
DECI IL SCURTEZ LA ADRESE IP  ;)[/b]
...
deny from 223.252.128.0/17
deny from 223.254.0.0/16
deny from 223.255.0.0/17
deny from 223.255.236.0/22
deny from 223.255.252.0/23
#
allow from all
</Limit>
<Limit GET POST>
order allow,deny
# Country: UKRAINE
# ISO Code: UA
# Total Networks: 2,642
# Total Subnets:  10,570,304
deny from 2.56.0.0/16
deny from 2.58.0.0/15
[b]DEPASESC NR. DE CARACTERE PERMISE PT. UN COD.....[/b]
....
deny from 217.196.160.0/20
deny from 217.199.224.0/20
#
allow from all
</Limit>
<Limit GET POST>
order allow,deny
# Country: RUSSIAN FEDERATION
# ISO Code: RU
# Total Networks: 5,604
# Total Subnets:  41,211,336
deny from 2.57.0.0/16
deny from 2.60.0.0/14
[b]DEPASESC NR. CARACTERE ADMISE DEJA...[/b]
...
deny from 217.117.16.0/20
deny from 217.147.32.0/20
#
allow from all
</Limit>

Avatar utilizator
Old Larry
Membru
Membru
Mesaje: 120
Membru din: 27-Noi-2011, 12:51:54
Versiune: 3.1.5
MOD: Nu
Server: UNIX/Linux
Nivel phpBB: Mediu
Nivel php: Puţin experimentat
Localitate: Bucuresti
Contact:

Re: problema-eroare dupa upgrade forum 3.0.9->3.0.10

Mesaj de Old Larry » 18-Mar-2012, 14:59:01

Old Larry scrie:Revin aici cu inca o intrebare arzatoare:
De ce nu se pot copia TOATE IP-urile blocate afisate in panoul administratorului ? !? :shock: :evil:
Am incercat si cu varianta "Control + A" care doar mi le selecteaza (albastreste) pe toate, dar nu functioneaza sa le copiez apoi.
O fi usor sa banezi 3 sau 10 IP-uri, dar cand este vorba de mult mai multe, este chiar frustant sa le copiezi pe rand din PA ca sa le poti pune apoi in fila htaccess a forumului/site-ului ! :!: :shock: :?:

P.S. Pe cand in phpBB ca masura anti bots/spam ceva de genul: cat fac 2+9 ? urmata de casuta in care utilizatorul/nou inregistratul, sa scrie raspunsul corect, asta fiind ca o completare ori chiar prin substituirea graficii actuale, care se pare ca deja este degeaba ? :idea:
Am citat pt. ca ne aflam intr-o noua pagina si trebuie sa stie si ceilalti utilizatori despre ce vorbim...
In privinta unui nou subiect cu referire la intrebarile mele: UNDE? ca nu-mi dau seama in ce topic se incadreaza mai bine ...
;)

Avatar utilizator
dorin
Guru
Guru
Mesaje: 4620
Membru din: 24-Iun-2003, 22:23:29
Versiune: 3.1.10
MOD: Da
Server: UNIX/Linux
Nivel phpBB: Mediu
Nivel php: Puţin experimentat
Contact:

Re: problema-eroare dupa upgrade forum 3.0.9->3.0.10

Mesaj de dorin » 19-Mar-2012, 18:40:53

Problema cu masura anti bots/spam ceva de genul: cat fac 2+9 este de mult rezolvata. Ai incercat PA - General - Configurare forum - Setari impotriva botilor de spam - Componente disponibile - Componente instalate: de unde alegi Intrebari&Raspunsuri ?

Pentru configurarea intrebarii si raspunsului va trebui sa alegi mai intai (tot de acolo) Configurare componente: unde iti configurezi intrebarea si raspunsul (adauga) :idea:

Referitor la copy+paste din PA a IP-urilor blocate, intr-adevar nu functioneaza aceasta solutie ;) In schimb poti folosi din phpMyAdmin optiunea de export a tabelei _banlist intr-unul din formatele de unde poti face copy (CSV for MSExcel, text sau chiar MS Word s.a.) si mai departe cred ca te vei descurca.

LE: Am observat ca ai primit deja raspuns la prima parte aintrebarii !

Subiect mutat de la 3.0.X. Functionare , este evident ca e o problema de actualizare !

Închis

Înapoi la “3.0.x Instalare, actualizare, conversie”

Cine este conectat

Utilizatori ce ce navighează pe acest forum: Niciun utilizator înregistrat și 2 vizitatori